"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 22.07.21

"""
from intervention.models import Intervention
from konova.filters import AbstractTableFilter, GeoReferencedTableFilterMixin, ShareableTableFilterMixin, \
    RecordableTableFilterMixin


class InterventionTableFilter(AbstractTableFilter, GeoReferencedTableFilterMixin, ShareableTableFilterMixin, RecordableTableFilterMixin):
    """ TableFilter for Intervention model

    """

    class Meta:
        model = Intervention
        fields = []

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
